function result = Calphas(C)
% result = Calphas(C) returns coordinates, resnum, & resname for
% the Calpha carbons along the backbone of a protein chain C

select = strarraycmp(' CA ', C.aname);
result.coords = C.coords(select,:); 
result.resnum = C.resnum(select);
result.resname = C.resname(select,:);
v = diff(result.coords); % row differences gives vectors
len = sqrt(dot(v,v,2));
nv = size(v,1);
angles = 180/pi*acos(dot(v(1:(nv-1),:), v(2:nv,:), 2) ./ len(1:(nv-1)) ./ len(2:nv)); % dot products give cos(angles)
result.lengths = len;
result.angles = angles;
